#define   LUMPED                       0
#define   STANDARD                     1
#define   NSBSLUMP                     2
#define   STANDARD_UNCOUPLED           3
#define   MATRIX_IGNORE_FLAG          16
#define   RHS_IGNORE_FLAG            256
#define   RHS_DONT_ZERO_FLAG         512
#define   X_IGNORE_FLAG             4096
#define   MAT_ASSEMBLE_MASK            1
#define   RHS_ASSEMBLE_MASK            2
#define   BCC_ASSEMBLE_MASK            4
#define   BCC_DELTA_MASK               8
